Loading...
Searching...
No Matches
gtsam::internal::TimingOutline Class Reference

## Detailed Description

Timing Entry, arranged in a tree.

## Public Member Functions

GTSAM_EXPORT | TimingOutline (const std::string &label, size_t myId)
| Constructor.
GTSAM_EXPORT size_t | time () const
| time taken, including children
double | secs () const
| time taken, in seconds, including children
double | self () const
| self time only, in seconds
double | wall () const
| wall time, in seconds
double | min () const
| min time, in seconds
double | max () const
| max time, in seconds
double | mean () const
| mean self time, in seconds
GTSAM_EXPORT void | print (const std::string &outline="") const
GTSAM_EXPORT void | print2 (const std::string &outline="", const double parentTotal=-1.0) const
GTSAM_EXPORT const boost::shared_ptr< TimingOutline > & | child (size_t child, const std::string &label, const boost::weak_ptr< TimingOutline > &thisPtr)
GTSAM_EXPORT void | tic ()
GTSAM_EXPORT void | toc ()
GTSAM_EXPORT void | finishedIteration ()

## Protected Types

typedef FastMap< size_t, boost::shared_ptr< TimingOutline > > | ChildMap

## Protected Member Functions

void | add (size_t usecs, size_t usecsWall)

## Protected Attributes

size_t | id_
size_t | t_
size_t | tWall_
double | t2_
| cache the \( \sum t_i^2 \)
size_t | tIt_
size_t | tMax_
size_t | tMin_
size_t | n_
size_t | myOrder_
size_t | lastChildOrder_
std::string | label_
boost::weak_ptr< TimingOutline > | parent_
| parent pointer
ChildMap | children_
| subtrees
boost::timer | timer_
gtsam::ValueWithDefault< bool, false > | timerActive_

## Friends

GTSAM_EXPORT friend void | toc (size_t id, const char *label)

The documentation for this class was generated from the following files:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/base/timing.h
- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/base/timing.cpp